You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     po...@freebsd.org
Last committer: b...@freebsd.org
Ident:          $FreeBSD: head/multimedia/linux-ov511-kmod/Makefile 327747 
2013-09-20 20:57:48Z bapt $
Log URL:        
http://beefy1.isc.freebsd.org/bulk/91i386-default/2013-10-16_14h14m28s/logs/linux-ov511-kmod-1.0_1.log
Build URL:      
http://beefy1.isc.freebsd.org/bulk/91i386-default/2013-10-16_14h14m28s
Log:

====>> Building multimedia/linux-ov511-kmod
build started at Thu Oct 17 01:41:44 UTC 2013
port directory: /usr/ports/multimedia/linux-ov511-kmod
building for: FreeBSD 91i386-default-job-09 9.1-RELEASE FreeBSD 9.1-RELEASE i386
maintained by: po...@freebsd.org
Makefile ident:      $FreeBSD: head/multimedia/linux-ov511-kmod/Makefile 327747 
2013-09-20 20:57:48Z bapt $
Poudriere version: 3.1-pre

---Begin Environment---
UNAME_m=i386
UNAME_p=i386
OSVERSION=901000
UNAME_v=FreeBSD 9.1-RELEASE
UNAME_r=9.1-RELEASE
BLOCKSIZE=K
MAIL=/var/mail/root
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin
STATUS=1
MASTERMNT=/usr/local/poudriere/data/build/91i386-default/ref
PKG_EXT=txz
tpid=59589
POUDRIERE_BUILD_TYPE=bulk
PKGNG=1
PKGNAME=linux-ov511-kmod-1.0_1
PKG_DELETE=/usr/local/sbin/pkg-static delete -y -f
PKG_ADD=/usr/local/sbin/pkg-static add
PWD=/root
MASTERNAME=91i386-default
USER=root
HOME=/root
POUDRIERE_VERSION=3.1-pre
LOCALBASE=/usr/local
PACKAGE_BUILDING=yes
PKG_VERSION=/poudriere/pkg-static version
PKG_BIN=/usr/local/sbin/pkg-static
---End Environment---

---Begin OPTIONS List---
---End OPTIONS List---

--CONFIGURE_ARGS--

--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
TMPDIR="/tmp" SHELL=/bin/sh CONFIG_SHELL=/bin/sh
--End CONFIGURE_ENV--

--MAKE_ENV--
TMPDIR="/tmp" SHELL=/bin/sh NO_LINT=YES PREFIX=/usr/local  LOCALBASE=/usr/local 
 LIBDIR="/usr/lib"  CC="cc" CFLAGS="-O2 -pipe -fno-strict-aliasing"  CPP="cpp" 
CPPFLAGS=""  LDFLAGS=""  CXX="c++" CXXFLAGS="-O2 -pipe -fno-strict-aliasing"  
MANPREFIX="/usr/local" BSD_INSTALL_PROGRAM="install  -s -o root -g wheel -m 
555"  BSD_INSTALL_LIB="install  -s -o root -g wheel -m 444"  
BSD_INSTALL_SCRIPT="install  -o root -g wheel -m 555"  
BSD_INSTALL_DATA="install  -o root -g wheel -m 444"  BSD_INSTALL_MAN="install  
-o root -g wheel -m 444"
--End MAKE_ENV--

--SUB_LIST--
PREFIX=/usr/local
LOCALBASE=/usr/local
DATADIR=/usr/local/share/linux-ov511-kmod
DOCSDIR=/usr/local/share/doc/linux-ov511-kmod
EXAMPLESDIR=/usr/local/share/examples/linux-ov511-kmod
WWWDIR=/usr/local/www/linux-ov511-kmod
ETCDIR=/usr/local/etc/linux-ov511-kmod
--End SUB_LIST--

---Begin make.conf---
ARCH=i386
MACHINE=i386
MACHINE_ARCH=i386
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
#### /usr/local/etc/poudriere.d/make.conf ####
WITH_PKGNG=yes
NO_RESTRICTED=yes
DISABLE_MAKE_JOBS=poudriere
---End make.conf---
===>  Cleaning for linux-ov511-kmod-1.0_1
=======================<phase: check-config   >============================
===========================================================================
=======================<phase: pkg-depends    >============================
===>   linux-ov511-kmod-1.0_1 depends on file: /usr/local/sbin/pkg - not found
===>    Verifying install for /usr/local/sbin/pkg in /usr/ports/ports-mgmt/pkg
===>   Installing existing package /packages/All/pkg-1.1.4_8.txz
Installing pkg-1.1.4_8... done
If you are upgrading from the old package format, first run:

  # pkg2ng
===>   Returning to build of linux-ov511-kmod-1.0_1
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===> Fetching all distfiles required by linux-ov511-kmod-1.0_1 for building
===========================================================================
=======================<phase: checksum       >============================
===> Fetching all distfiles required by linux-ov511-kmod-1.0_1 for building
=> SHA256 Checksum OK for linux-ov511-kmod/ov511.c.
=> SHA256 Checksum OK for linux-ov511-kmod/ov511.h.
===========================================================================
=======================<phase: extract-depends>============================
===========================================================================
=======================<phase: extract        >============================
===> Fetching all distfiles required by linux-ov511-kmod-1.0_1 for building
===>  Extracting for linux-ov511-kmod-1.0_1
=> SHA256 Checksum OK for linux-ov511-kmod/ov511.c.
=> SHA256 Checksum OK for linux-ov511-kmod/ov511.h.
( cd /portdistfiles/linux-ov511-kmod && /bin/cp ov511.c ov511.h 
/wrkdirs/usr/ports/multimedia/linux-ov511-kmod/work/linux-ov511-kmod-1.0 )
===========================================================================
=======================<phase: patch-depends  >============================
===========================================================================
=======================<phase: patch          >============================
===>  Patching for linux-ov511-kmod-1.0_1
===>  Applying FreeBSD patches for linux-ov511-kmod-1.0_1
===========================================================================
=======================<phase: build-depends  >============================
===>   linux-ov511-kmod-1.0_1 depends on file: /usr/share/mk/bsd.linux_kmod.mk 
- not found
===>    Verifying install for /usr/share/mk/bsd.linux_kmod.mk in 
/usr/ports/devel/linux-kmod-compat
===>   Installing existing package /packages/All/linux-kmod-compat-20080408.txz
Installing linux-kmod-compat-20080408... done

WARNING - this code is still in an experimental stage.
    The binary modules built using it may cause instabilities
    in your system. Use them at your own risk.

    We suggest to track frequently updates to this port,
    and upgrade the children ports accordingly to make use
    of enhancements and fixes in this package.
===>   Returning to build of linux-ov511-kmod-1.0_1
===========================================================================
=======================<phase: lib-depends    >============================
===========================================================================
=======================<phase: configure      >============================
===>  Configuring for linux-ov511-kmod-1.0_1
===========================================================================
=======================<phase: build          >============================
===>  Building for linux-ov511-kmod-1.0_1
@ -> /usr/src/sys
machine -> /usr/src/sys/i386/include
x86 -> /usr/src/sys/x86/include
awk -f @/tools/makeobjops.awk @/kern/bus_if.m -h
awk -f @/tools/makeobjops.awk @/kern/device_if.m -h
:> opt_usb.h
rm -f .depend
mkdep -f .depend -a   -nostdinc -D__KERNEL__ -DDRIVER_NAME=ov511 
-DDEV_NAME=\"video\" -D_KERNEL -DKLD_MODULE 
-I/usr/local/share/linux-kmod-compat/linux_compat -I. -I@ -I@/contrib/altq 
ov511.c /usr/local/share/linux-kmod-compat/linux_compat/ldev_stub.c 
/usr/local/share/linux-kmod-compat/linux_compat/linux_compat.c
In file included from 
/usr/local/share/linux-kmod-compat/linux_compat/ldev_stub.c:44:
/usr/local/share/linux-kmod-compat/linux_compat/ldev_stub.h:69:30: error: 
dev/usb/usb_port.h: No such file or directory
In file included from 
/usr/local/share/linux-kmod-compat/linux_compat/linux_compat.c:44:
/usr/local/share/linux-kmod-compat/linux_compat/ldev_stub.h:69:30: error: 
dev/usb/usb_port.h: No such file or directory
mkdep: compile failed
*** [.depend] Error code 1

Stop in 
/wrkdirs/usr/ports/multimedia/linux-ov511-kmod/work/linux-ov511-kmod-1.0.
*** [do-build] Error code 1

Stop in /usr/ports/multimedia/linux-ov511-kmod.
===>  Cleaning for linux-ov511-kmod-1.0_1
_______________________________________________
freebsd-pkg-fallout@freebsd.org mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-pkg-fallout
To unsubscribe, send any mail to "freebsd-pkg-fallout-unsubscr...@freebsd.org"

Reply via email to